Update an identity provider

PATCH https://api.ap1.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.ap2.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.datadoghq.eu/api/v2/identity_providers/{idp_id}https://api.ddog-gov.com/api/v2/identity_providers/{idp_id}https://api.us2.ddog-gov.com/api/v2/identity_providers/{idp_id}https://api.uk1.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.us3.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.us5.datadoghq.com/api/v2/identity_providers/{idp_id}

Información general

Enable or disable an identity provider for the current organization. This endpoint requires the org_management permission.

OAuth apps require the org_management authorization scope to access this endpoint.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

idp_id [required]

string

The ID of the identity provider.

Solicitud

Body Data (required)

Expand All

Campo

Tipo

Descripción

data [required]

object

Data object for updating an organization identity provider.

attributes [required]

object

Attributes for updating an organization identity provider.

enabled [required]

boolean

Whether to enable or disable this identity provider for the organization.

id [required]

string

The unique identifier of the identity provider to update.

type [required]

enum

The resource type for identity providers. Allowed enum values: identity_providers

{
  "data": {
    "attributes": {
      "enabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "identity_providers"
  }
}

Respuesta

OK

Response containing a single organization identity provider.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data object representing an organization identity provider.

attributes [required]

object

Attributes of an organization identity provider.

authentication_method [required]

string

The authentication method used by this identity provider.

enabled [required]

boolean

Whether this identity provider is enabled for the organization.

id [required]

string

The unique identifier of the identity provider.

type [required]

enum

The resource type for identity providers. Allowed enum values: identity_providers

{
  "data": {
    "attributes": {
      "authentication_method": "SAML",
      "enabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "identity_providers"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Authentication error

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  ## default
# 

# Path parameters
export idp_id="00000000-0000-0000-0000-000000000001"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/identity_providers/${idp_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "enabled": true }, "id": "00000000-0000-0000-0000-000000000001", "type": "identity_providers" } } EOF
"""
Update an identity provider returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.identity_providers_api import IdentityProvidersApi
from datadog_api_client.v2.model.identity_provider_type import IdentityProviderType
from datadog_api_client.v2.model.identity_provider_update_attributes import IdentityProviderUpdateAttributes
from datadog_api_client.v2.model.identity_provider_update_data import IdentityProviderUpdateData
from datadog_api_client.v2.model.identity_provider_update_request import IdentityProviderUpdateRequest

body = IdentityProviderUpdateRequest(
    data=IdentityProviderUpdateData(
        attributes=IdentityProviderUpdateAttributes(
            enabled=True,
        ),
        id="00000000-0000-0000-0000-000000000001",
        type=IdentityProviderType.IDENTITY_PROVIDERS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = IdentityProvidersApi(api_client)
    response = api_instance.update_identity_provider(idp_id="00000000-0000-0000-0000-000000000001", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Update an identity provider returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::IdentityProvidersAPI.new

body = DatadogAPIClient::V2::IdentityProviderUpdateRequest.new({
  data: DatadogAPIClient::V2::IdentityProviderUpdateData.new({
    attributes: DatadogAPIClient::V2::IdentityProviderUpdateAttributes.new({
      enabled: true,
    }),
    id: "00000000-0000-0000-0000-000000000001",
    type: DatadogAPIClient::V2::IdentityProviderType::IDENTITY_PROVIDERS,
  }),
})
p api_instance.update_identity_provider("00000000-0000-0000-0000-000000000001", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Update an identity provider returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.IdentityProviderUpdateRequest{
		Data: datadogV2.IdentityProviderUpdateData{
			Attributes: datadogV2.IdentityProviderUpdateAttributes{
				Enabled: true,
			},
			Id:   "00000000-0000-0000-0000-000000000001",
			Type: datadogV2.IDENTITYPROVIDERTYPE_IDENTITY_PROVIDERS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIdentityProvidersApi(apiClient)
	resp, r, err := api.UpdateIdentityProvider(ctx, "00000000-0000-0000-0000-000000000001", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IdentityProvidersApi.UpdateIdentityProvider`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IdentityProvidersApi.UpdateIdentityProvider`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Update an identity provider returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IdentityProvidersApi;
import com.datadog.api.client.v2.model.IdentityProviderResponse;
import com.datadog.api.client.v2.model.IdentityProviderType;
import com.datadog.api.client.v2.model.IdentityProviderUpdateAttributes;
import com.datadog.api.client.v2.model.IdentityProviderUpdateData;
import com.datadog.api.client.v2.model.IdentityProviderUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    IdentityProvidersApi apiInstance = new IdentityProvidersApi(defaultClient);

    IdentityProviderUpdateRequest body =
        new IdentityProviderUpdateRequest()
            .data(
                new IdentityProviderUpdateData()
                    .attributes(new IdentityProviderUpdateAttributes().enabled(true))
                    .id("00000000-0000-0000-0000-000000000001")
                    .type(IdentityProviderType.IDENTITY_PROVIDERS));

    try {
      IdentityProviderResponse result =
          apiInstance.updateIdentityProvider("00000000-0000-0000-0000-000000000001", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IdentityProvidersApi#updateIdentityProvider");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Update an identity provider returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_identity_providers::IdentityProvidersAPI;
use datadog_api_client::datadogV2::model::IdentityProviderType;
use datadog_api_client::datadogV2::model::IdentityProviderUpdateAttributes;
use datadog_api_client::datadogV2::model::IdentityProviderUpdateData;
use datadog_api_client::datadogV2::model::IdentityProviderUpdateRequest;

#[tokio::main]
async fn main() {
    let body = IdentityProviderUpdateRequest::new(IdentityProviderUpdateData::new(
        IdentityProviderUpdateAttributes::new(true),
        "00000000-0000-0000-0000-000000000001".to_string(),
        IdentityProviderType::IDENTITY_PROVIDERS,
    ));
    let configuration = datadog::Configuration::new();
    let api = IdentityProvidersAPI::with_config(configuration);
    let resp = api
        .update_identity_provider("00000000-0000-0000-0000-000000000001".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Update an identity provider returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.IdentityProvidersApi(configuration);

const params: v2.IdentityProvidersApiUpdateIdentityProviderRequest = {
  body: {
    data: {
      attributes: {
        enabled: true,
      },
      id: "00000000-0000-0000-0000-000000000001",
      type: "identity_providers",
    },
  },
  idpId: "00000000-0000-0000-0000-000000000001",
};

apiInstance
  .updateIdentityProvider(params)
  .then((data: v2.IdentityProviderResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"